import UserType from "../enums/UserType";

export default class SessionUser {
	public readonly userId: number;
	public readonly username: string;
	public readonly userType: UserType;
	public readonly validityPeriod: Date;

	constructor(userId:number, username: string, userType: UserType, validityPeriod:Date) {
		this.userId = userId;
		this.username = username;
		this.userType = userType;
		this.validityPeriod = validityPeriod;
	}
}