import UserType from "../enums/UserType";

export default class User {
	public Id: number = Number.MIN_VALUE;
	public UserType: UserType = UserType.Unknown;
	public Username: string = "";
	public EmailAddress: string = "";
	public PasswordHash: string = "";
	public PasswordSalt: string = "";
	public ApiKey: string = "";
	public UploadKey: string = "";
	public Verified: boolean = false;
	public CreatedByUserId: number = Number.MIN_VALUE;
	public CreatedDatetime: Date = new Date();
	public LastModifiedByUserId?: number;
	public LastModifiedDatetime?: Date;
	public DeletedByUserId?: number;
	public DeletedDatetime?: Date;
	public IsDeleted: boolean = false;
}